Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class Expression.Variable

    java.lang.Object
      com.hp.hpl.jena.graph.query.Expression.Base
          com.hp.hpl.jena.graph.query.Expression.Variable

All Implemented Interfaces:
  Expression

Enclosing interface:
  Expression

    public abstract static class Expression.Variable

extends Expression.Base

An abstract base class for variable nodes; subclasses implement getName().

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.graph.query.Expression
`Expression.Application, Expression.Base, Expression.BoolConstant, Expression.Constant, Expression.Fixed, Expression.Util, Expression.Valof, Expression.Variable`

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.query.Expression
`FALSE, TRUE`

Constructor Summary
`Expression.Variable()`

Method Summary
`abstract java.lang.String` | `getName()` If this Expression is a variable, answer a [non-null] String which is its name.
`boolean` | `isVariable()` Answer true iff this Expression represents a variable.

Methods inherited from class com.hp.hpl.jena.graph.query.Expression.Base
`argCount, equals, getArg, getFun, getValue, isApply, isConstant`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.query.Expression
`prepare`

Constructor Detail

### Expression.Variable

    public Expression.Variable()

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Expression`
  Answer true iff this Expression represents a variable.

  Specified by:
    `isVariable` in interface `Expression`
  Overrides:
    `isVariable` in class `Expression.Base`

### getName

    public abstract java.lang.String getName()

  Description copied from interface: `Expression`
  If this Expression is a variable, answer a [non-null] String which is its name. Otherwise the behaviour is unspecified.

  Specified by:
    `getName` in interface `Expression`
  Overrides:
    `getName` in class `Expression.Base`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP